<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once('header.php');
echo "<h1>Registreren</h1>";
if ($aangemeld == "ja")
{
	echo "<b>Je bent al aangemeld dus je hebt al een account!</b>";
}
elseif ($aangemeld == "nee")
{
	$_GET['naam_kennis'] = strtolower($_GET['naam_kennis']);
	$_GET['naam'] = strtolower($_GET['naam']);
	error_reporting(0);
   	$bestaat_mss_al = halen("SELECT id FROM members WHERE naam='".$_GET['naam']."';");
   	$bestaat_mss_al_ip = halen("SELECT id FROM members WHERE ip='".$_SERVER['REMOTE_ADDR']."';");
   	$bestaat_mss_al_mail = halen("SELECT id FROM members WHERE mail='".$_GET['mail']."';");
   	if ($_GET['naam_kennis'] != "")
	{
		$bestaat_mss_al_kennis = halen("SELECT * FROM members WHERE naam='".$_GET['naam_kennis']."';");
	}
   	error_reporting(E_ALL);
	if ($bestaat_mss_al != "")
	{
		echo "Deze naam is al in gebruik!";
	}
	else
	{
		if($bestaat_mss_al_ip != "")
		{
			echo "Je hebt al een account op deze computer!";
		}
		else
		{
			if ($_GET['naam_kennis'] != "")
			{
				if ($bestaat_mss_al_kennis != "")
				{
					$money_nu_member_kennis = halen("SELECT money FROM members WHERE naam = '".$_GET['naam_kennis']."'");
					$money_nu_member_kennis = $money_nu_member_kennis + 50;
					mysql_query("UPDATE members SET money = '".$money_nu_member_kennis."' WHERE naam = '".$_GET['naam_kennis']."'");
				}
			}
			mysql_query("INSERT INTO members SET naam='".$_GET['naam']."', wachtwoord='".$_GET['wachtwoord']."', ip='".$_SERVER['REMOTE_ADDR']."', console='', warning='Hallo, voor wie het echte Habbo kent:\nZou je al je vrienden op het echte Habbo ook willen informeren dat Jabbo bestaat?\nVoor elke nieuwe Jabbo die zich door jou registreert krijg je 50 Jabbo Credits.\nDit is uiteraard niet verplicht!';");
			echo "Je account is aangemaakt!";
			echo "<br><br><b>Poppetjes, chatten, behang, andere meubels, enz. zijn nog in de maak. Kom regelmatig terug om te kijken of ze er al zijn!</b>";
		}
	}
	echo "<br><br><a href='index.php'>Terug</a>";
}
else
{
	echo "<b>Er is een fout opgetreden.</b>";
}
require_once ('footer.php');
?>